{% extends 'base.html' %}
{% load static %}

<link href="{% static 'default.css' %}" rel="stylesheet" type="text/css" media="all"/>
{% block title %}
Employee overview

{% endblock %}

{% block content %}
<link href="{% static 'style/todolist.css'%}" rel="stylesheet" type="text/css"/>

<h1>Employee Overview</h1>
<form action="" method="post">
    {% csrf_token %} <!-- csrf token for basic security -->
    <div class="inputContainer">
        <i class="fa fa-caret-down selectArrow"></i>
        <select id="employee" class="taskCategory" style="width: 520px" name="employee_id" required>
            <!--  <option class="disabled" value="-1">Choose an employee</option>-->
            <option class="disabled" value="{{employee_id}}">Choose an employee



            </option>
            {% for employee in employees %}

            <option class="" value="{{employee.id}}"
                    name="{{employee.id}}" >{{employee.lastname}} {{employee.firstname}}

            </option>

            {% endfor %}
        </select>
        <!--        <label for="employee">Employee</label>-->

    </div>
    <br/>

    <div class="inputContainer half last">

    </div>

    <div class="row">
        <button class="taskAdd" name="Search" type="submit"><i class="fa fa-plus icon"></i>Search</button>
        <button class="taskAdd" name="Edit" type="button" onclick='addRemoveAttr();'><i class="fa fa-plus icon"></i>Edit
        </button>
        <button class="taskAdd" name="Save" type="submit"><i class="fa fa-plus icon"></i>Save</button>
        <button class="taskDelete" name="taskDelete" formnovalidate="" type="submit" onclick="$('input#sublist').click();"><i class="fa fa-trash-o icon"></i>Delete
        </button>
    </div>

    <ul class="taskList">
        <!-- django template lang - for loop -->
        <li class="taskItem">


            <label>Employee Firstname:</label>
            <input type="text" id="firstname" disabled class="taskName" placeholder="firstname"
                   name="firstname" value="{{ employee_selected.firstname }}"
                   style="background-color: transparent; color: #ffffff; height: 38px; border-radius: 5px;"/><br/>
            <label>Employee Lastname:</label>
            <input type="text" id="lastname" disabled class="taskName" placeholder="lastname"
                   name="lastname" value="{{ employee_selected.lastname }}"
                   style="background-color: transparent; color: #ffffff; height: 38px;border-radius: 5px;"/><br/>
            <label>Employee Skills:</label>
            <input type="text" id="skill" disabled class="taskName" placeholder="skill"
                   name="skill" value="{{ employee_selected.skill }}"
                   style="background-color: transparent; color: #ffffff; height: 38px;border-radius: 5px;"/><br/>
            <label>Employee Email:</label>
            <input type="text" id="department" disabled class="taskName" placeholder="department"
                   name="department" value="{{ employee_selected.department }}"
                   style="background-color: transparent; color: #ffffff; height: 38px;border-radius: 5px;"/><br/>
            <label>Employee Email:</label>
            <input type="text" id="email" disabled class="taskName" placeholder="email"
                   name="email" value="{{ employee_selected.email }}"
                   style="background-color: transparent; color: #ffffff; height: 38px;border-radius: 5px;"/><br/>
            <label>Employee Title:</label>
            <input type="text" id="title" disabled class="taskName" placeholder="title"
                   name="title" value="{{ employee_selected.title }}"
                   style="background-color: transparent; color: #ffffff; height: 38px;border-radius: 5px;"/><br/>

        </li>

    </ul><!-- taskList -->

    <ul class="taskList">
        {% for todo in todos %} <!-- django template lang - for loop -->
        <li class="taskItem">
            <input type="checkbox"  name="checkedbox1" id="{{ todo.id }}" value="{{ todo.id }}">
            <label for="{{ todo.id }}"><span class="complete-">{{ todo.title }}</span></label>
            <span class="category-{{ todo.category }}">{{ todo.category }}</span>
            <strong class="taskDate"><i class="fa fa-calendar"></i>{{ todo.created }} - {{ todo.due_date }}</strong>
        </li>
        {% endfor %}
    </ul>
    <ul class="taskList">

            {% for project in projects %}
            <li class="taskItem">
                <input type="checkbox"  name="checkedbox2" id="{{ project.id }}" value="{{ project.id }}">
                <label for="{{ project.id }}"><span class="complete-">{{ project.name }}</span></label>
                <span class="complete-{{ project.description }}">{{ project.description }}</span>
                <strong class="taskDate"><i class="fa fa-calendar"></i>{{ project.start_date }} - {{ project.end_date }}</strong>
            </li>
            {% endfor %}


    </ul>
</form>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>


{% endblock %}


{%block sidebar %}
{% include 'menu.html' %}
{% endblock %}
